#ifndef MARS_MMcPedestalRead
#define MARS_MMcPedestalRead

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MMcFadcHeader;
class MPedestalCam;

class MMcPedestalRead : public MTask
{
private:
    const MMcFadcHeader *fMcPed;
    MPedestalCam *fPedCam;

    Bool_t CheckRunType(MParList *pList) const;

    Int_t PreProcess(MParList *pList);
    Bool_t ReInit(MParList *pList);

public:
    MMcPedestalRead(const char *name=NULL, const char *title=NULL);

    ClassDef(MMcPedestalRead, 0)
      // Task which copies the pedestals from the MC FADC header 
      // into the standard container (intended for camera >= 0.7 files)
};

#endif
